org.apache.xmlgraphics.image.loader.impl

## Class AbstractImage

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImage

- All Implemented Interfaces:
    Image
  Direct Known Subclasses:
    ImageGraphics2D, ImageRawStream, ImageRendered, ImageXMLDOM

      public abstract class AbstractImage
      extends java.lang.Object
      implements Image

  Abstract base class for Image implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractImage(ImageInfo info)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.color.ColorSpace` | `getColorSpace()` Returns the image's color space if the information is available.
    `java.awt.color.ICC_Profile` | `getICCProfile()` Returns the ICC color profile if one is associated with the image.
    `ImageInfo` | `getInfo()` Returns an object with basic information (URI, MIME type, intrinsic size) about the image.
    `ImageSize` | `getSize()` Returns the image's intrinsic size.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.image.loader.Image

      `getFlavor, isCacheable`

- - ### Constructor Detail

    - #### AbstractImage

          public AbstractImage(ImageInfo info)

      Main constructor
      Parameters:
        `info` - the image info object associated with this image

  - ### Method Detail

    - #### getInfo

          public ImageInfo getInfo()

      Returns an object with basic information (URI, MIME type, intrinsic size) about the image.
      Specified by:
        `getInfo` in interface `Image`
      Returns:
        the image information object

    - #### getSize

          public ImageSize getSize()

      Returns the image's intrinsic size. This is a shortcut for getInfo().getSize().
      Specified by:
        `getSize` in interface `Image`
      Returns:
        the image's intrinsic size

    - #### getColorSpace

          public java.awt.color.ColorSpace getColorSpace()

      Returns the image's color space if the information is available.
      Specified by:
        `getColorSpace` in interface `Image`
      Returns:
        the color space or null if the color space is unknown or undefined

    - #### getICCProfile

          public java.awt.color.ICC_Profile getICCProfile()

      Returns the ICC color profile if one is associated with the image.
      Specified by:
        `getICCProfile` in interface `Image`
      Returns:
        the ICC color profile or null if there's no profile

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.